Open CASCADE Technology: PColgp_SeqNodeOfHSequenceOfDir Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColgp_SeqNodeOfHSequenceOfDir Class Reference

`#include <PColgp_SeqNodeOfHSequenceOfDir.hxx>`

Inheritance diagram for PColgp_SeqNodeOfHSequenceOfDir:
[legend]

## Public Member Functions
| PColgp_SeqNodeOfHSequenceOfDir (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &TheLast, const gp_Dir &TheItem)
| PColgp_SeqNodeOfHSequenceOfDir (const gp_Dir &TheItem, const Handle< PColgp_SeqNodeOfHSequenceOfDir > &TheFirst)
| PColgp_SeqNodeOfHSequenceOfDir (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &ThePrevious, const Handle< PColgp_SeqNodeOfHSequenceOfDir > &TheNext, const gp_Dir &TheItem)
gp_Dir | Value () const
Handle< PColgp_SeqNodeOfHSequenceOfDir > | Next () const
Handle< PColgp_SeqNodeOfHSequenceOfDir > | Previous () const
void | SetValue (const gp_Dir &AnItem)
void | SetNext (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &ANode)
void | SetPrevious (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &ANode)
| PColgp_SeqNodeOfHSequenceOfDir ()
| PColgp_SeqNodeOfHSequenceOfDir (const Storage_stCONSTclCOM &a)
Handle< PColgp_SeqNodeOfHSequenceOfDir > | _CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyPrevious () const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfDirMyPrevious (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &p)
const gp_Dir & | _CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyItem () const
Handle< PColgp_SeqNodeOfHSequenceOfDir > | _CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyNext () const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfDirMyNext (const Handle< PColgp_SeqNodeOfHSequenceOfDir > &p)
Public Member Functions inherited from PMMgt_PManaged
| PMMgt_PManaged (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PMMgt_PManaged
| PMMgt_PManaged ()
| Returns an instance. The storage of the given "size" is allocated by <StorageManager>. More...

## Constructor & Destructor Documentation

PColgp_SeqNodeOfHSequenceOfDir::PColgp_SeqNodeOfHSequenceOfDir | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | TheLast,
|  | const gp_Dir & | TheItem
| ) |  |

PColgp_SeqNodeOfHSequenceOfDir::PColgp_SeqNodeOfHSequenceOfDir | ( | const gp_Dir & | TheItem,
|  | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | TheFirst
| ) |  |

PColgp_SeqNodeOfHSequenceOfDir::PColgp_SeqNodeOfHSequenceOfDir | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | ThePrevious,
|  | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | TheNext,
|  | const gp_Dir & | TheItem
| ) |  |

PColgp_SeqNodeOfHSequenceOfDir::PColgp_SeqNodeOfHSequenceOfDir | ( |  | ) |
| inline

PColgp_SeqNodeOfHSequenceOfDir::PColgp_SeqNodeOfHSequenceOfDir | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Dir& PColgp_SeqNodeOfHSequenceOfDir::_CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyItem | ( |  | ) | const
| inline

Handle< PColgp_SeqNodeOfHSequenceOfDir > PColgp_SeqNodeOfHSequenceOfDir::_CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyNext | ( |  | ) | const
| inline

Handle< PColgp_SeqNodeOfHSequenceOfDir > PColgp_SeqNodeOfHSequenceOfDir::_CSFDB_GetPColgp_SeqNodeOfHSequenceOfDirMyPrevious | ( |  | ) | const
| inline

void PColgp_SeqNodeOfHSequenceOfDir::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfDirMyNext | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | p | ) |
| inline

void PColgp_SeqNodeOfHSequenceOfDir::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfDirMyPrevious | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | p | ) |
| inline

Handle< PColgp_SeqNodeOfHSequenceOfDir > PColgp_SeqNodeOfHSequenceOfDir::Next | ( |  | ) | const

Handle< PColgp_SeqNodeOfHSequenceOfDir > PColgp_SeqNodeOfHSequenceOfDir::Previous | ( |  | ) | const

void PColgp_SeqNodeOfHSequenceOfDir::SetNext | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | ANode | ) |

void PColgp_SeqNodeOfHSequenceOfDir::SetPrevious | ( | const Handle< PColgp_SeqNodeOfHSequenceOfDir > & | ANode | ) |

void PColgp_SeqNodeOfHSequenceOfDir::SetValue | ( | const gp_Dir & | AnItem | ) |

gp_Dir PColgp_SeqNodeOfHSequenceOfDir::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PColgp_SeqNodeOfHSequenceOfDir.hxx